Debian Bug report logs - #646870
gs-common is useless as is; should be removed.

version graph

Package: gs-common; Maintainer for gs-common is Debian Printing Team <debian-printing@lists.debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Thu, 27 Oct 2011 22:03:02 UTC

Severity: grave

Found in version ghostscript/9.04~dfsg-2

Fixed in version ghostscript/9.04~dfsg-3

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#646870; Package gs-common. (Thu, 27 Oct 2011 22:03:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gs-common: doesn't depend on anything
Date: Fri, 28 Oct 2011 00:02:07 +0200
Package: gs-common
Version: 9.04~dfsg-2
Severity: grave
Justification: renders package unusable

gs-common is a "transitional dummy package", but it's an empty package 
that doesn't depend on anything. That hardly helps any transition. In 
fact, it breaks a number of packages that still (build-)depend on 
gs-common.

-- 
Jakub Wilk




Added indication that bug 646870 blocks 614525,629809 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 02 Nov 2011 12:29:35 GMT) Full text and rfc822 format available.

Added indication that bug 646870 blocks 618176 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 02 Nov 2011 12:29:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#646870; Package gs-common. (Mon, 21 Nov 2011 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Printing Team <debian-printing@lists.debian.org>. (Mon, 21 Nov 2011 14:09:04 GMT) Full text and rfc822 format available.

Message #12 received at 646870@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Jonas Smedegaard <dr@jones.dk>, 646870@bugs.debian.org
Subject: Re: Bug#646870: gs-common: doesn't depend on anything
Date: Mon, 21 Nov 2011 15:05:16 +0100
[Message part 1 (text/plain, inline)]
Le vendredi, 28 octobre 2011 00.02:07, Jakub Wilk a écrit :
> Package: gs-common
> Version: 9.04~dfsg-2
> Severity: grave
> Justification: renders package unusable
> 
> gs-common is a "transitional dummy package", but it's an empty package
> that doesn't depend on anything. That hardly helps any transition. In
> fact, it breaks a number of packages that still (build-)depend on
> gs-common.

Jonas: what about uploading ghostscript "soon" with the changes pushed to the 
Git repository by Steve Langasek (that seem to fix this RC bug by an effective 
removal of gs-common) ?

(Or should we not remove gs-common yet ?)

Cheers,

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 646870: 649697, 649698, 649700, 649696, and 649699 Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 23 Nov 2011 10:45:42 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 646870: 618176 Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 23 Nov 2011 11:15:30 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 646870: 649705, 649713, 649712, 649702, 649704, 649710, 649708, 649703, 614525, 629809, 649706, 649709, and 649711 Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 23 Nov 2011 11:33:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'gs-common is useless as is; should be removed.' from 'gs-common: doesn't depend on anything' Request was from Didier Raboud <didier@raboud.com> to control@bugs.debian.org. (Wed, 23 Nov 2011 12:42:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#646870; Package gs-common. (Wed, 23 Nov 2011 13:13:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Debian Printing Team <debian-printing@lists.debian.org>. (Wed, 23 Nov 2011 13:13:53 GMT) Full text and rfc822 format available.

Message #25 received at 646870@bugs.debian.org (full text, mbox):

From: Didier Raboud <didier@raboud.com>
To: Jonas Smedegaard <dr@jones.dk>, <646870@bugs.debian.org>
Cc: Steve Langasek <steve.langasek@ubuntu.com>
Subject: #646870 : Let's drop gs-common entirely
Date: Wed, 23 Nov 2011 13:39:14 +0100
retitle 646870 gs-common is useless as is; should be removed.
thanks

Hi Jonas,
(CC to Steve for information)

Let's summarize this bugreport: Jakub reports that gs-common is useless 
`as is` as it doesn't depend on anything. So gs-common doesn't serve its 
purpose of migrating to ghostscript. ghostscript on its side "Provides: 
gs-common".

Steve's proposal [0], on the collab-maint git repository of ghostscript 
[1], is to drop both the gs-common package and ghostscript's "Provides: 
gs-common", which is, I believe, a better solution than keeping it 
forever around.

[0] 
http://anonscm.debian.org/gitweb/?p=collab-maint/ghostscript.git;a=commitdiff;h=1ba79998
[1] http://anonscm.debian.org/gitweb/?p=collab-maint/ghostscript.git

So, before doing that, we should take a closer look at the impact on 
the archive. To this effect, I reported several bugs, all usertagged:

http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=drop-gs-common;users=debian-printing@lists.debian.org

(As far as I can see, all those are also marked "blockers" of this 
bug.)

In summary:

* gs-common has 1 reverse Build-Depends in contrib (none in non-free):
  - ifeffit (#649702)
* gs-common has 13 reverse Build-Depends in main:
  - fpc (#649703)
  - geda-gaf (#649704)
  - texpower (#649705)
  - dieharder (#649706)
  - autoclass (#629809)
  - magnus (#649708)
  - bacula-doc (#649709)
  - ivritex  (#618176)
  - dejagnu  (#649710)
  - latex-mk  (#649699)
  - ball  (#649711)
  - wordnet (#649712)
  - flite (#649713)
* gs-common has 2 reverse Suggests:
  - latexmk (#649700)
  - latex-mk (#649699)
* gs-common has 2 reverse Recommends:
  - python-epydoc (#649697)
  - xcfa (#649698)
* gs-common has 1 reverse Depends:
  - latex-make (#649696)

I propose to upload ghostcript with Steve's proposed changes as soon as 
possible, then rise the severity of the {Build-,}Depends to serious, 
those of {Recommends,Suggests} to important. (Then one week after, we 
can safely NMU those and be done with that issue for Wheezy...)

Opinions ? Jonas: are you okay with the proposed changes and are you 
willing to upload "soon" ?

Cheers,

OdyX




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Printing Team <debian-printing@lists.debian.org>:
Bug#646870; Package gs-common. (Thu, 24 Nov 2011 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 646870@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Printing Team <debian-printing@lists.debian.org>. (Thu, 24 Nov 2011 03:21:03 GMT) Full text and rfc822 format available.

Message #30 received at 646870@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Didier Raboud <odyx@debian.org>, 646870@bugs.debian.org
Subject: Re: Bug#646870: gs-common: doesn't depend on anything
Date: Thu, 24 Nov 2011 10:19:41 +0700
[Message part 1 (text/plain, inline)]
On 11-11-21 at 03:05pm, Didier Raboud wrote:
> Le vendredi, 28 octobre 2011 00.02:07, Jakub Wilk a écrit :
> > gs-common is a "transitional dummy package", but it's an empty package
> > that doesn't depend on anything. That hardly helps any transition. In
> > fact, it breaks a number of packages that still (build-)depend on
> > gs-common.
> 
> Jonas: what about uploading ghostscript "soon" with the changes pushed 
> to the Git repository by Steve Langasek (that seem to fix this RC bug 
> by an effective removal of gs-common) ?
> 
> (Or should we not remove gs-common yet ?)

Quite sensible!

I am preparing a new release now.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Thu, 24 Nov 2011 07:51:04 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Thu, 24 Nov 2011 07:51:05 GMT) Full text and rfc822 format available.

Message #35 received at 646870-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 646870-close@bugs.debian.org
Subject: Bug#646870: fixed in ghostscript 9.04~dfsg-3
Date: Thu, 24 Nov 2011 07:47:27 +0000
Source: ghostscript
Source-Version: 9.04~dfsg-3

We believe that the bug you reported is fixed in the latest version of
ghostscript, which is due to be installed in the Debian FTP archive:

ghostscript-cups_9.04~dfsg-3_amd64.deb
  to main/g/ghostscript/ghostscript-cups_9.04~dfsg-3_amd64.deb
ghostscript-dbg_9.04~dfsg-3_amd64.deb
  to main/g/ghostscript/ghostscript-dbg_9.04~dfsg-3_amd64.deb
ghostscript-doc_9.04~dfsg-3_all.deb
  to main/g/ghostscript/ghostscript-doc_9.04~dfsg-3_all.deb
ghostscript-x_9.04~dfsg-3_amd64.deb
  to main/g/ghostscript/ghostscript-x_9.04~dfsg-3_amd64.deb
ghostscript_9.04~dfsg-3.debian.tar.gz
  to main/g/ghostscript/ghostscript_9.04~dfsg-3.debian.tar.gz
ghostscript_9.04~dfsg-3.dsc
  to main/g/ghostscript/ghostscript_9.04~dfsg-3.dsc
ghostscript_9.04~dfsg-3_amd64.deb
  to main/g/ghostscript/ghostscript_9.04~dfsg-3_amd64.deb
libgs-dev_9.04~dfsg-3_amd64.deb
  to main/g/ghostscript/libgs-dev_9.04~dfsg-3_amd64.deb
libgs9-common_9.04~dfsg-3_all.deb
  to main/g/ghostscript/libgs9-common_9.04~dfsg-3_all.deb
libgs9_9.04~dfsg-3_amd64.deb
  to main/g/ghostscript/libgs9_9.04~dfsg-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646870@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated ghostscript package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 24 Nov 2011 13:01:31 +0700
Source: ghostscript
Binary: ghostscript ghostscript-cups ghostscript-x ghostscript-doc libgs9 libgs9-common libgs-dev ghostscript-dbg
Architecture: source all amd64
Version: 9.04~dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 ghostscript - interpreter for the PostScript language and for PDF
 ghostscript-cups - interpreter for the PostScript language and for PDF - CUPS filter
 ghostscript-dbg - interpreter for the PostScript language and for PDF - Debug symbo
 ghostscript-doc - interpreter for the PostScript language and for PDF - Documentati
 ghostscript-x - interpreter for the PostScript language and for PDF - X11 support
 libgs-dev  - interpreter for the PostScript language and for PDF - Development
 libgs9     - interpreter for the PostScript language and for PDF - Library
 libgs9-common - interpreter for the PostScript language and for PDF - common file
Closes: 646870
Changes: 
 ghostscript (9.04~dfsg-3) unstable; urgency=low
 .
   [ Steve Langasek ]
   * Mark ghostscript Multi-Arch: foreign, so that the package manager knows
     the package satisfies dependencies and build-dependencies of packages
     regardless of architecture.
   * Drop gs-gpl package: it was already a transitional package in lenny,
     and html2ps in squeeze is the last package to recommend it (nothing in
     wheezy references it).
   * Eliminate the gs provides; nothing in squeeze or wheezy references it.
   * Drop gs-common package: it was also transitional from lenny on, and
     latexmk in wheezy is the last package to reference it as a Suggests
     only.
     Closes: bug#646870. Thanks to Jakub Wilk and Didier Raboud.
 .
   [ Jonas Smedegaard ]
   * Update copyright file: Fix add missing copyright paragraph.
     Thanks to lintian.
   * Drop transitional Replaces: affecting only testing.
Checksums-Sha1: 
 3d220e1ef0cd95e60128f520e0f068db09783e1a 2799 ghostscript_9.04~dfsg-3.dsc
 35acd56e2d8d1d4270c8d13d21c035ef82643e75 101015 ghostscript_9.04~dfsg-3.debian.tar.gz
 11ca1c8d442a9ad6b9de1c30d5fc2b772901c680 3136474 ghostscript-doc_9.04~dfsg-3_all.deb
 cd59a5b9f48dabe66048b7bd5b9cf2658ee3a75a 4218426 libgs9-common_9.04~dfsg-3_all.deb
 3e7c5ed2f500fb80564a0a8e3495f70ad4b888b7 80872 ghostscript_9.04~dfsg-3_amd64.deb
 b5d932b2e3d1078f4a22b365bd8d0a2bf84c6d84 63592 ghostscript-cups_9.04~dfsg-3_amd64.deb
 c2f93df8c0cf035edf3c333eae45f7168133f7e4 76640 ghostscript-x_9.04~dfsg-3_amd64.deb
 3851d5d4ba31e37184e9988ca3e3f6d03820557e 2351172 libgs9_9.04~dfsg-3_amd64.deb
 05f1234a7821e1956573ce9bdb0a507083a0c00b 2947688 libgs-dev_9.04~dfsg-3_amd64.deb
 935d6213716e3111e7b8f7a1c2f42b50a27faec4 8417576 ghostscript-dbg_9.04~dfsg-3_amd64.deb
Checksums-Sha256: 
 3ba42f0121ef774b763d6ea875ff2736a756120b50cb471971907db14311d5ac 2799 ghostscript_9.04~dfsg-3.dsc
 d81874f65ad486169ff86a5408f37f2eda31f65be49308efcb43b1cb2e9df5a8 101015 ghostscript_9.04~dfsg-3.debian.tar.gz
 b3c621095722a762fd70a1a1d5994f650c43adbbf544323d9c3c9e9692c7b20d 3136474 ghostscript-doc_9.04~dfsg-3_all.deb
 e9629fe10507f468c2a599fec786ff6e8a2ba97d53ee90809d3eeff379aad9f2 4218426 libgs9-common_9.04~dfsg-3_all.deb
 06aa84f492f0770391e1df020a8b88358870b9159e4e50441bc8836a0897aa58 80872 ghostscript_9.04~dfsg-3_amd64.deb
 77d0f6774dfc673916295edb227b4f18e208932a8bd576ced296827afc74a4ee 63592 ghostscript-cups_9.04~dfsg-3_amd64.deb
 e3b08251f56c156275580957739648e916db59c1cb4f9966747bab4ee829b0f8 76640 ghostscript-x_9.04~dfsg-3_amd64.deb
 7e591434144a6daa1c96711cdbbd55674a167c99c398a24950c4971af3b14f57 2351172 libgs9_9.04~dfsg-3_amd64.deb
 e5072f49567cfea76a750cda45b42f9285d4d79aab9ea541b0214b60d17a6e1b 2947688 libgs-dev_9.04~dfsg-3_amd64.deb
 61a9bcb12b6bcb4d282aae04a9bf049371dc275be5ac7579083a275f57cc40cf 8417576 ghostscript-dbg_9.04~dfsg-3_amd64.deb
Files: 
 86531611878da147d7dc359bef8a051e 2799 text optional ghostscript_9.04~dfsg-3.dsc
 93d1ad665386b5907eb3fd4a86b6ff6d 101015 text optional ghostscript_9.04~dfsg-3.debian.tar.gz
 a32559636b112a86e3806d0dd0099c85 3136474 doc optional ghostscript-doc_9.04~dfsg-3_all.deb
 a931517e592018c58050cbaf18b6b0ca 4218426 libs optional libgs9-common_9.04~dfsg-3_all.deb
 2b97a63e965905df22bd01b48da4ab1d 80872 text optional ghostscript_9.04~dfsg-3_amd64.deb
 307f93d328544e0c8c55f604ab935b2b 63592 text optional ghostscript-cups_9.04~dfsg-3_amd64.deb
 61db5eac23d8267a699c92bddb737046 76640 text optional ghostscript-x_9.04~dfsg-3_amd64.deb
 ac0a7d32c3d8e8a3046a5d3587130555 2351172 libs optional libgs9_9.04~dfsg-3_amd64.deb
 e3f929196a9ad8a569141930da9a716c 2947688 libdevel optional libgs-dev_9.04~dfsg-3_amd64.deb
 675cb9aacb38142e060609cfd88fda3d 8417576 debug extra ghostscript-dbg_9.04~dfsg-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJOzfCIAAoJECx8MUbBoAEhao4P/2dT4Aq9W1nCmQyBTwQ9arMh
ViU2um5OGAagO6XWgKx3FCg6Qi3+daXfdfZOXpPjOLCfHeIgjx/Wo0I4epqCJxXA
G6yojEkI53vVOfD+ILi0zT0P9CN7sDdEPVoPGNB5p+Rw7K0t8QmpcjQiefmEI5lx
h5isrsFIpwwsdSciAErgJaRy9CcCEj5ZbI0IV/Qs6pdWHwHJRN6rr77PYFfhaj9i
lG7rwz3xEMckXPWtnRXOV7lUIJuTGDJvGJCTe1KvqCxe6vV2nipT0G9kko2fUMXj
b5tnH11EREeKA1g97MsDNJQUrBwSdjPQwMDgpnLEVtLA5o/MN+UcgzTs7+RNYlYc
DPGTCFVgrjUMV1WCHVTKenTFx50kFlh52CEYCow9g1C+6BYR37Ta21Js+LwworDw
d/4XnsCOwsZDq62qXa/uQ7pg4fBG2YA8Q49BTOPeWFV38DVjIp6UmTHuLgywp/R7
BtcGsV5+nwtTsic+QIN6T2Hl/xlth3xHEJJBcYFDzBdowJ6EMjBLU8S0xtC4nthv
1o1LTGlU8wTXgOrFTYxYfbHC0s6AnpDQXR65M6Ge+yz6kGZ8wrXPjUt8/pOD+mDQ
grzgxrx2oIY8Z3vRyBzhvvPyKrs9OLUNNASqNpZ03GK9TAin6zEVdcF1pxw71dUM
OGYzM4B+ooK4GgwZ6JFU
=TVBo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Mar 2013 07:32:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:23:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.